---
title: GlobalEventHandlers.onfocus
slug: Web/API/GlobalEventHandlers/onfocus
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>onfocus</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("focus")}} events on the given element.</p>

<p>The <code>focus</code> event is raised when the user sets focus on an element.</p>

<p>For <code>onfocus</code> to fire on non-input elements, they must be given the {{htmlattrxref("tabindex")}} attribute (see <a href="/en-US/docs/Learn/Accessibility/HTML#Building_keyboard_accessibility_back_in">Building keyboard accessibility back in</a> for more details).</p>

<div class="notecard note">
<p><strong>Note:</strong> The opposite of <code>onfocus</code> is {{domxref("GlobalEventHandlers.onblur", "onblur")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onfocus = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("FocusEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<p>This example uses {{domxref("GlobalEventHandlers.onblur", "onblur")}} and <code>onfocus</code> to change the text within an {{HtmlElement("input")}} element.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;input type="text" value="CLICK HERE"&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let input = document.querySelector('input');

input.onblur = inputBlur;
input.onfocus = inputFocus;

function inputBlur() {
  input.value = 'Focus has been lost';
}

function inputFocus() {
  input.value = 'Focus is here';
}</pre>

<h3 id="Result_2">Result</h3>

<p>Try clicking in and out of the form field, and watch its contents change accordingly.</p>

<p id="Result">{{EmbedLiveSample('Example')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onfocus','onfocus')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onfocus")}}</p>

<p>In contrast to IE, in which almost all kinds of elements receive the <code>focus</code> event, almost all kinds of elements on Gecko browsers do NOT work with this event.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("focus")}} event</li>
 <li>Related event handler: {{domxref("GlobalEventHandlers.onblur")}}</li>
</ul>
